package com.pavle.patternswitch.objects;

import android.bluetooth.BluetoothDevice;

/**
 * Created by Pavle
 */
public class Device {
    private BluetoothDevice mDevice;
    private Integer mRSSI;
    private byte[] mRecord;

    public Device(BluetoothDevice device, Integer RSSI,byte[] record){
        mDevice = device;
        mRSSI = RSSI;
        mRecord = record;
    }

    public void setRSSI(Integer RSSI){
        mRSSI = RSSI;
    }

    public Integer getRSSI(){
        return mRSSI;
    }

    public byte[] getRecord() {
        return mRecord;
    }

    public void setRecord(byte[] record) {
        mRecord = record;
    }

    public BluetoothDevice getDevice(){
        return  mDevice;
    }
}
